package com.caliverse.admin.domain.entity.metaEnum;


import com.caliverse.admin.domain.entity.common.ValueEnum;

public enum EGameModeType implements ValueEnum {
    None(0),
    TPS_FFA(1),
    TPS_TDM(2),
    RUN_ADV(3),
    RUN_RACE(4),
    DANCE(5)
    ;

    private final int value;

    EGameModeType(int value) {
        this.value = value;
    }

    @Override
    public int getValue() {
        return value;
    }
}
